var tipoCambioAddOnController = function($scope, $filter, tipoCambioAddOnService){
	
	$scope.annios = [];
	$scope.estudios = [];
	$scope.uploader = new UploaderEX("cargaAddOnsDiv" , this.onUpload , this.grid );
	
	tipoCambioAddOnService.obtenerAnniosPaises().then(function(data) {
		$scope.annios = data.annios;
		$scope.myannio = $scope.annios[2];
		$scope.estudios = data.estudios;
		$scope.mystdio = $scope.estudios[0];
	});
	
	
	$scope.plantillaDld= function() {
		console.log("descarga plantilla");
		var estudioParametro = "";
		var anio="";
		
		
		if($("#estudio").val() != "") 
			estudioParametro = 'estudio=' + $("#mystdio").val();
		
		var annio= $("#myannio").val().split(":");
		anio = 'annio=' +annio[1];
		
		console.log(anio+"año para descarga");

		var url = contextPath +'/catalogos/tipoCambioAddOns/exportaReporte.action?'+ estudioParametro+"&"+anio;
		console.log(url);
		try { window.open(url); }
		catch(e) { showError("Ha ocurrido el siguiente error: " + e.description); }
	};
	
	$scope.consultar = function() {
		tipoCambioAddOnService.obtenerMesTipo().then(function(data) {
			$scope.nombreTipos = data.nombreTipos;
			$scope.mesesTipos = data.mesesTipos;		
		});
	};
	
	$scope.onUpload = function(data , grid ){
		console.log("Ingresamos a onUpload");
	}
	
	$scope.openCargarDocumento = function()
	{
		
		
//		if ($("#idListaActual").val() == $("#idLista").val())
//		{
		$scope.uploader.opentUploader();
//		}
//		else
//		{
//			showError("No es posible efectuar la accion");
//		}
	};
	
	$scope.startUpload = function(item)
	{
		console.log("ejecucion carga archivo");
		var nameModal = "modalCarga";
		$scope.uploader.startUpload(nameModal);
	};
	
	$scope.limpiar = function(){
		$scope.mesesTipos = [];
	};
	
	$scope.guardarCambio = function() {
		tipoCambioAddOnService.llamarAction({"mesesTipos" : $scope.mesesTipos}, "guardarCambio").then(function(data) {
			if(data.exito) {
				showMessage(data.mensaje);
			}else {
				showError(data.mensaje);
			}
		});
	};
	
	$scope.valida = function(oldValue, newValue) {
		var patron = /^\d+(\.\d{0,6})?$/;
		var texto = newValue;
		if(texto !== null) {
			if(!patron.test(texto))
				showWarn("Esta colocando caracteres en un campo n\u00FAmerico.");
		}
		
	}
	
};

registraController("tipoCambioAddOnController", tipoCambioAddOnController);